Provision a User

Creates the user and returns an id, uid, marketplace information, and created_at parameters for the user.

POST /organizations/:org_id/users?token=:token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Best Practice

You should only provision a user when they're ready to connect a device. Provisioning users based on member files, app download, etc create unnecessary bloat in your database and ours!

The following table outlines the possible fields that can be expected in the API response.

NameTypeDescription
idstringValidic user ID
uidstringCustomer’s user identifier.
marketplace > tokenUnique marketplace identifier.
marketplace > urlstringThe user’s marketplace URL. Requesting this URL with the ‘Accept’ header as ‘application/json’ will provide a JSON representation of the marketplace. Otherwise an HTML representation will be presented.
mobile > tokenstringUnique identifier used to connect users to the Validic mobile solution.
location > timezonestringDefault user timezone. When retrieving data from a source that provides no UTC offset information the default timezone will be used to calculate the UTC offset.
location > country_codestringUser’s country identified as a two character country code using the ISO 3166-1 standard. Validic uses this information for integrations that provide data access based upon the user’s country.
sourcesstringList of sources the user has connected to including the connection time in UTC.
created_atstringThe date and time the resource was created.
updated_atstringThe date and time the resource was updated.
last_processed_atstringThe date and time data was last processed for this source.

Supported Timezones
Validic supports over 400 Olson format timezones. When setting a default timezone for a user the value must match one of the timezones listed in the table found in our support section.

Path Params
string
required

Organization ID provided to you by Validic.

Query Params
string

Developer Key as supplied by Validic.

Body Params
string

The UID you defined when provisioning the client.

string
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain